#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname MondoRescue

Summary:	The perl-MondoRescue provides a set of functions for the MondoRescue project
Summary(fr):	Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

Name:		perl-MondoRescue
Version:	3.2.2
Release:	%mkrel 4
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
Requires:	perl >= 5.6.2
Requires:	perl-ProjectBuilder
BuildRequires:	perl-ProjectBuilder

%description
The perl-MondoRescue provides a set of functions for the MondoRescue project

%description -lfr
Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__perl} Makefile.PL destdir=${RPM_BUILD_ROOT}/  CONFDIR=%{_sysconfdir} CACHEDIR=%{_var}/cache TARGET=%{_exec_prefix}
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%files
%config(noreplace) %{_sysconfdir}/mondorescue
%doc ChangeLog COPYING README NEWS AUTHORS

%{_bindir}/*
%{_mandir}/man1/*
%{perlvendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.2.2-4.mga8
+ Revision: 1495642
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.2.2-3.mga7
+ Revision: 1269582
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.2.2-2.mga6
+ Revision: 1030311
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 bcornec <bcornec> 3.2.2-1.mga6
+ Revision: 1007794
- Really update build requires !
- perl-MondoRescue requires perl-ProjectBuilder
- Fix wrong group
- Adds sha1 file
- Import new perl module for MondoRescue project
- Created package structure for perl-MondoRescue.

